//******************************************************************************
// SCICHART® Copyright SciChart Ltd. 2011-2020. All rights reserved.
//
// Web: http://www.scichart.com
// Support: support@scichart.com
// Sales:   sales@scichart.com
//
// SCIPieChartRenderSurface.h is part of SCICHART®, High Performance Scientific Charts
// For full terms and conditions of the license, see http://www.scichart.com/scichart-eula/
//
// This source code is protected by international copyright law. Unauthorized
// reproduction, reverse-engineering, or distribution of all or any portion of
// this source code is strictly prohibited.
//
// This source code contains confidential and proprietary trade secrets of
// SciChart Ltd., and should at no time be copied, transferred, sold,
// distributed or made available without express written permission.
//******************************************************************************

#import "SCIViewContainer.h"
#import "ISCIPieChartSurface.h"

NS_ASSUME_NONNULL_BEGIN

/**
 * Provides a Canvas based render surface implementation which is used for drawing `ISCIPieChartSurface`.
 */
@interface SCIPieChartRenderSurface : SCIViewContainer

/**
 * Creates new instance of `SCIPieChartRenderSurface`.
 * @param pieChartSurface The `ISCIPieChartSurface` instance with which this render surface will be associated.
 */
- (instancetype)initWithPieChartSurface:(id<ISCIPieChartSurface>)pieChartSurface;

@end

NS_ASSUME_NONNULL_END
