//******************************************************************************
// SCICHART® Copyright SciChart Ltd. 2011-2020. All rights reserved.
//
// Web: http://www.scichart.com
// Support: support@scichart.com
// Sales:   sales@scichart.com
//
// SCIPieSeriesTooltipBase+Protected.h is part of SCICHART®, High Performance Scientific Charts
// For full terms and conditions of the license, see http://www.scichart.com/scichart-eula/
//
// This source code is protected by international copyright law. Unauthorized
// reproduction, reverse-engineering, or distribution of all or any portion of
// this source code is strictly prohibited.
//
// This source code contains confidential and proprietary trade secrets of
// SciChart Ltd., and should at no time be copied, transferred, sold,
// distributed or made available without express written permission.
//******************************************************************************

#import "SCIPieSeriesTooltipBase.h"

NS_ASSUME_NONNULL_BEGIN

/**
 * The extensions in this header are to be used only by subclasses of `SCIPieSeriesTooltipBase`.
 */
@interface SCIPieSeriesTooltipBase<T : SCIPieSeriesInfo *> ()

/**
 * Creates a new instance of `SCIPieSeriesTooltipBase` class.
 * @param pieSeriesInfo The series info instance.
 */
- (instancetype)initWithPieSeriesInfo:(T)pieSeriesInfo;

/**
 * Updates tooltips with information provided by `seriesInfo`.
 * @param seriesInfo The series info.
 */
- (void)internalUpdate:(T)seriesInfo;

- (void)setSegmentColor:(unsigned int)segmentColor;

@end

NS_ASSUME_NONNULL_END
