//******************************************************************************
// SCICHART® Copyright SciChart Ltd. 2011-2019. All rights reserved.
//
// Web: http://www.scichart.com
// Support: support@scichart.com
// Sales:   sales@scichart.com
//
// ISCIListFloat.h is part of SCICHART®, High Performance Scientific Charts
// For full terms and conditions of the license, see http://www.scichart.com/scichart-eula/
//
// This source code is protected by international copyright law. Unauthorized
// reproduction, reverse-engineering, or distribution of all or any portion of
// this source code is strictly prohibited.
//
// This source code contains confidential and proprietary trade secrets of
// SciChart Ltd., and should at no time be copied, transferred, sold,
// distributed or made available without express written permission.
//******************************************************************************

#import "ISCIList.h"

#pragma mark !!! this file is autogenerated !!!

/**
 * Defines the interface which allows to get access to primitive internal items array.
 */
@protocol ISCIListFloat <ISCIList>

/**
 * Gets the internal items array that this list wraps for direct access.
 */
@property (nonatomic, readonly) float *itemsArray;

/**
 * Gets the internal items array that this list wraps for direct access.
 * @param normalizeIndex The value which indicate whether to normalize index or not.
 * @return The internal items array that this list wraps for direct access.
 */
 - (float *)getItemsArray:(BOOL)normalizeIndex;

@end