//******************************************************************************
// SCICHART® Copyright SciChart Ltd. 2011-2019. All rights reserved.
//
// Web: http://www.scichart.com
// Support: support@scichart.com
// Sales:   sales@scichart.com
//
// NSObject+ExceptionUtil.h is part of SCICHART®, High Performance Scientific Charts
// For full terms and conditions of the license, see http://www.scichart.com/scichart-eula/
//
// This source code is protected by international copyright law. Unauthorized
// reproduction, reverse-engineering, or distribution of all or any portion of
// this source code is strictly prohibited.
//
// This source code contains confidential and proprietary trade secrets of
// SciChart Ltd., and should at no time be copied, transferred, sold,
// distributed or made available without express written permission.
//******************************************************************************

#import <Foundation/Foundation.h>

extern NSString * const SCIInitializerNotAllowedException;
extern NSString * const SCINotImplementedMethodException;
extern NSString * const SCIUnsupportedOperationException;
extern NSString * const SCIUnsortedDataException;
extern NSString * const SCILicenseException;

/**
 * :nodoc:
 */
@interface NSObject (ExceptionUtil)

- (NSException *)initializerNotAllowedException;

- (NSException *)notImplementedExceptionFor:(SEL)selector;

- (NSException *)unsupportedOperationExceptionFor:(SEL)selector;

- (NSException *)unsupportedOperationExceptionWithReason:(NSString *)reason;

- (NSException *)unsortedDataExceptionFor:(SEL)selector;

@end
