//******************************************************************************
// SCICHART® Copyright SciChart Ltd. 2011-2020. All rights reserved.
//
// Web: http://www.scichart.com
// Support: support@scichart.com
// Sales:   sales@scichart.com
//
// SCIPieDonutDrawingManagerBase+Protected.h is part of SCICHART®, High Performance Scientific Charts
// For full terms and conditions of the license, see http://www.scichart.com/scichart-eula/
//
// This source code is protected by international copyright law. Unauthorized
// reproduction, reverse-engineering, or distribution of all or any portion of
// this source code is strictly prohibited.
//
// This source code contains confidential and proprietary trade secrets of
// SciChart Ltd., and should at no time be copied, transferred, sold,
// distributed or made available without express written permission.
//******************************************************************************

#import "SCIPieDonutDrawingManagerBase.h"

NS_ASSUME_NONNULL_BEGIN

/**
 * The extensions in this header are to be used only by subclasses of `SCIPieDonutDrawingManagerBase`.
 */
@interface SCIPieDonutDrawingManagerBase<__covariant TRenderPassData: SCIPieDonutRenderPassDataBase *> ()

@property (strong, nonatomic) TRenderPassData renderPassData;

@property (nonatomic) CGContextRef context;
@property (nonatomic) CGMutablePathRef pathBuffer;

@property (nonatomic) CGRect piePaintRect;
@property (nonatomic) CGPoint center;
@property (nonatomic) CGFloat spacing;
@property (nonatomic) CGFloat spacingAngle;

- (float)calculateSpacingAngleWithRadius:(float)radius spacing:(float)spacing;

@end

NS_ASSUME_NONNULL_END
